javafx.beans.value

## Interface WritableLongValue

- All Superinterfaces:
    WritableNumberValue, WritableValue<Number>
  All Known Implementing Classes:
    JavaBeanLongProperty, LongProperty, LongPropertyBase, ReadOnlyLongWrapper, SimpleLongProperty, SimpleStyleableLongProperty, StyleableLongProperty

      public interface WritableLongValue
      extends WritableNumberValue

  A writable long value.
  Since:
    JavaFX 2.0
  See Also:
    `WritableValue`, `WritableNumberValue`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `get()` Get the wrapped value.
    `void` | `set(long value)` Set the wrapped value.
    `void` | `setValue(Number value)` Set the wrapped value.

    - ### Methods inherited from interface javafx.beans.value.WritableValue

      `getValue`

- - ### Method Detail

    - #### get

          long get()

      Get the wrapped value. Unlike `WritableValue.getValue()`, this method returns primitive long. Needs to be identical to `WritableValue.getValue()`.
      Returns:
        The current value

    - #### set

          void set(long value)

      Set the wrapped value. Unlike `setValue(java.lang.Number)`, this method uses primitive long.
      Parameters:
        `value` - The new value

    - #### setValue

          void setValue(Number value)

      Set the wrapped value.

      Note: this method should accept null without throwing an exception, setting "0" instead.

      Specified by:
        `setValue` in interface `WritableValue<Number>`
      Parameters:
        `value` - The new value

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 2008, 2017, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.